
Redmine - Patch #13658

include "In-Reply-To" field to aid email threading for some clients

2013-04-01 20:24 - Robert Hailey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Description

Patch was made against 1.4.5, but will most likely apply to the 2.x line as well.

Related issues:

Related to Redmine - Feature #13111: New setting to include the status change... Closed 2008-02-04

History

#1 - 2013-04-10 23:16 - Jan Niggemann (redmine.org team member)

- Target version set to Candidate for next minor release

#2 - 2016-07-27 19:08 - Mark Felder

Can this get merged if it works? #10888 didn't do much to help Gmail's threading. You still get entirely new threads when the status of a ticket

changes.

#3 - 2016-07-27 19:43 - Mark Felder

- File Screen Shot 2016-07-27 at 12.41.54 PM.png added

Here's redmine 3.2.3

#4 - 2016-07-27 20:49 - Mark Felder

- File redmine-fix-threading.patch added

Attempting to attach patch, but I keep getting marked as spam

#5 - 2016-07-27 20:50 - Mark Felder

This patch does the following:

Removes Tracker Name and Issue Status from the Subject.

This does not belong in the subject. It's repeated in the email already.

Adds an X-Redmine-Issue-Tracker header to the email

I'm sure someone wants to filter their Redmine bugs by Tracker/classification. That's quite reasonable, but a header is a better place for this

data.

Adds an In-Reply-To header in addition to the References header

GMail respects this as do many other MUAs.

#6 - 2016-07-27 20:52 - Mark Felder

Here's the rest of my message that was curiously getting marked as spam:

GMail threads messages by Subject and In-Reply-To. Other MUAs like Mutt have a more sophisticated algorithm for threading emails, but I do not

believe this should be considered a bug or deficiency on GMail's part. Simply put, data does not belong in email Subjects. The only thing that should

change is a prefix of Re:, Fwd:, etc. Anything else is a gross violation of email and internet etiquette.

#7 - 2016-07-27 20:54 - Mark Felder

Sorry for the ticket noise, but hilariously I've had to break up my message to find the part that Redmine is marking as spam.

In conclusion:

There are people out there that get overwhelmed by a giant sprawl on emails in their Inbox. You're making Redmine a better experience for them, too.

#8 - 2019-02-19 23:28 - Marius BĂLTEANU
https://www.redmine.org/issues/10888


- Related to Feature #13111: New setting to include the status changes in issue mail notifications subject added

#9 - 2019-02-19 23:28 - Marius BĂLTEANU

I've attached a patch to #13111 that fixes the threading issues on Gmail and Office 365.

#10 - 2024-02-04 05:55 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

Marius BĂLTEANU wrote in #note-9:

I've attached a patch to #13111 that fixes the threading issues on Gmail and Office 365.

 Closing this issue as resolved.

Files

redmine-f3228-emails-in-reply-to.patch 621 Bytes 2013-04-01 Robert Hailey

Screen Shot 2016-07-27 at 12.41.54 PM.png 141 KB 2016-07-27 Mark Felder

redmine-fix-threading.patch 2.2 KB 2016-07-27 Mark Felder
